std::_Tuple_impl< _Idx, _Elements >(3cxx)

NAME
std::_Tuple_impl< _Idx, _Elements >

SYNOPSIS

Detailed Description

  template<std::size_t _Idx, typename... _Elements>
struct std::_Tuple_impl< _Idx, _Elements >"Contains the actual implementation of the tuple template, stored as a recursive inheritance hierarchy from the first element (most derived class) to the last (least derived class). The Idx parameter gives the 0-based index of the element stored at this point in the hierarchy; we use it to implement a constant-time get() operation.

Definition at line 177 of file tuple.

Author

Generated automatically by Doxygen for libstdc++ from the source code.